System Requirements

Since its humble beginnings I have added timed events, fixed distance events , qualifying and a Quickrace menu which has 4 races of fixed distances all controlled with one keystroke.

Although the programme has now reached quite a complex stage of development it still embraces the three aims I set for the programme:

  1. It’s very easy to run,
  2. you don’t need to be a keyboard wizard to run the programme
  3. It runs on old PCs

On the subject of development is it important to register your ownership of the programme as it is receiving updates on a regular basis. As at May 2008 a track call button has been added as an option

Oh, and what happened to the original simple Drag race software – it’s still only 90% finish. One day I’ll get to it

Read on, race on, and most importantly enjoy your slot car racing

Copyright © <2008>, <Ashlyn Gem Pty Ltd>


PC requirements

PC REQUIREMENTS

386 IBM PC with or better with a hard disk with at least 1 meg of free space, a 3½inch floppy disk drive and a parallel port with 25 pin socket. EGA/VGA monitor/video card

.


Software

SOFTWARE

Operating system

MS-DOS version 3.x or later (Note: will not work under Windows NT or 2000 or XP).

Don't be fooled into believing running the programme within a DOS window is the same as running in pure DOS because it isn't. The programme may miss laps so make sure if you are running on a Windows 98 machine you restart in DOS mode. Do not start within a cammand prompt because this slows the parallel port down leading to missed laps

The software is supplied as a single install file for use with CD drive. The CD also has DISK images for floppy drives – copy these to diskettes if your PC has no CD drive and load them in the correct sequence

Insert diskette in floppy disk drive (either A: or B: depending on your PC’s configuration)

Type a:\install then press ‘enter’

The software will now start to install on your hard drive. The software is self loading. Just follow the on screen instructions and the install file will create a directory on your hard drive called C:\SRS_DOS\ and will install all files in this directory or sub directory called c:/SRS_DOS\RACE

You can have the programme load automatically if you add a couple of lines to your Autoexec.bat file

Example autoexec.bat file

C\DOS\SMARTDRV.EXE

@ECHO OFF

Prompt $p$g

Path c:\DOS

SET TEMP = C:\DOS

To this add the lines

C:\SRS_DOS

START.EXE


Are you really running in DOS ?

Are you really running in DOS?

OK lets explain this so we all understand. If you are running WINDOWS 98 and you run the race programme through a DOS window you are still actually working within WINDOWS despite what you may read or hear about. To understand what Pure DOS is think about looking out of a window in your house. You can see all the garden OK but you are still inside the house, protected by its walls and its roof. You have to leave the house to be in the garden proper, to actually be free of the constraints of the house. Make sense? So you actually have to leave WINDOWS to be free of its contraints also.

If you run the programme from within a DOS window the parallel port is liable to run slower than normal resulting is possible missed laps so restart the PC is DOS mode normally shown as

C:\Windows

type cd\srs_dos - press enter

type start - press enter

and the programme will start

or you can write a simple little text file calling it RACE.BAT using windows notes or similar

CD\SRS_DOS

start.exe

Make sure the file has the extension *.BAT and save it in your WINDOWS directory

When you restart the PC is DOS mode just type

RACE and press enter

If all is well the race programme will start


Connecting to the track

Connecting to the track

If you are using the light sensor hardware with a commercial plastic track they can be mounted either by drilling a small hole (4mm dia) next to the slot rail or underneath the slot (see diagram). Ensure that the lens of the sensors is just below surface level or lower than the slot guide.

For either routed or plastic track choose a flat, straight section, with enough distance between the counters and the last corner of the lap to allow cars to straighten up before they cross the line. If the sensors are installed to close to a corner some cars might swing their tails out and over the sensors of the next lane as well as it’s own. If using the Startline Lite version (no power control unit) plug the sensor lead into the parallel port’
If using the control unit - the positive wire from the track power unit should be connected to the control unit as shown in the below diagram. Each lane has it’s own plug. The control unit requires a 12 DC power supply to activate the relays which control each lanes track power

If running on Scalextric Sports or Ninco track using the adaptor cables makes it very easy to gain power control from the PC because the cables simply plug in between the track and the controller. No other modifications are required.

Plug parallel port lead into LPT1 on the box and parallel port 1 (LPT1) on the PC. Each lane power must be plugged into the control unit. It’s best to use the ‘positive’ 12 volt power line which runs between the power supply and the track. For those with commercially made tracks it couldn’t be easier as an adaptor is available which plugs straight in to the track at one end (for NINCO and Scalextric Sport) and the controller at the other. A middle plug connects to the control unit. No solder is required to have full use of all SRS race options)

Before you run Startline Race System please give one more thorough check of all wiring and connections.


First time running the programme

FIRST TIME RUNNING THE PROGRAMME

The first time you run the programme you will have three choices. You can either run the Test programme to ensure all the connections and systems are running correctly, or you can read through the help file which is to be advised as any issues will be listed there helping yyou to solve them. Or you can go straight into the race programme. If this is an upgrade them please note the programme file location has changed from previous version see above


Testng your setup

TESTING YOUR SETUP

Included in the diskette is a small file called TEST.EXE. This file is a simple programme used to test your computer should any miscounts or track power problems arise.

Follow the on screen instructions. The programme is designed to diagnose your parallel port to see if any faults are present on the PC. The programme reads the address of any parallel ports present and proceeds to test LPT1 (the port used by the race programme)

Please run this programme prior to installation of the race programme to ensure your PC is fully functional or at any other time should the need arise. Feed back from this test programme will aid fixing any problems/issues you may (but hopefully not) have.A small light source may be used directly over the lane sensors if required

To get the best from the programme it is recommended you use the life like starting and finishing to races. However, you can race with dead track starts

Make sure all leads are safely positioned so as to avoid being inadvertently pulled


Running the programme

RUNNING THE PROGRAMME

Having loaded the software correctly (refer section 1.2) you are taken through to the MAIN MENU. By scrolling up or down using the arrow keys you can select your chosen RACE FORMAT or UTILITIES. The UTILITIES MENU allows you to customise the software to suit your tracks conditions. This should be done prior to holding any races (refer section 3 Utilities)

. You need only do this once but you can update the settings at any time.


Track Call

An option now available is a track call button on versions with 4 lanes or less ( not if you use pit sensors)

The track call button can be placed anywhere round the track and can be used to pause the race programme by pressing once. When you are ready to race you press the track call button again and the race continues.

The track call button can also be used to start races in stead of pressing the SPACEBAR. More track call buttons can be added in parallel enabling track calls to be made from marshalling posts. A momentary ON button is all that is needed


Main Menu

Eleven race settings are available for lap timing including practice which can be accessed from the MAIN MENU

To start a race type just use the arrow keys to scroll up or down and press enter or simply press the function key .

If you have three lanes or more you can now move between running all lanes or just two lanes. Likewise if you have the four lane version you can run on three or two lanes only.

Note: When using three lanes on a four lane track lanes 1,2 and 3 are used. When using two lanes only lanes 2 and 3 are used

When using when running two lanes on a three lane track lanes 2 and 3 only are used.

Actual screen shot


Practice

PRACTICE

Allows for unlimited timed laps. Pressing key F7 can clear the times. Pressing one of the following keys can clear individual lane times.

F1 clears lane 1-lap times

F2 clears lane 2 lap times

Drivers can automatically clear their own lap times by stopping over the sensors for 2 seconds.

At any time during practice the track can be switched off be pressing SPACEBAR ( not Lite). To reactivate timers and track power press any other key. The Lap times are limited to a maximum lap time of 99 seconds. Should a short lap be detected the programme will show which lane the short lap occurred.

To end practice and return to the MAIN MENU press F8

NOTE : LITE VERSION HAS NO TRACK POWER CONTROL IN ANY PROGRAMMES


Points Series

POINTS SERIES

A minimum of two driver names (you can use blanks) must entered with an unlimited maximum number of drivers. At the NEW DRIVER INPUT screen existing drivers are shown in blue . These may be edited or deleted.

To edit a name simply type over the existing name. New drivers are entered and show on the screen as red.. To edit a name simply type over the existing name. To delete a name press ‘x’ followed by enter. New drivers are entered and show on the screen as red. You can now enter the next group of drivers or go straight to racing. If you answer yes to entering new level drivers you can now enter racers who will only race against each other. They will not be drawn in heats with racers from the previous level of drivers. Next you are asked for the number of laps per heat. Enter the number of laps per heat and press enter. If you just hit enter the default race length is 10 laps. Plus you are asked for the points system required. Drivers names from within each level are randomised to allow each driver to race against as many different drivers within his level as possible during his two heats. All heats are randomized so no one level of drivers have to sit out for long periods whilst another level has its races.

Next you are asked for the number of laps per heat. Enter the number of laps per heat and press enter. If you just hit enter the default race length is 10 laps. You are asked for the points system required. Drivers names from within each level are randomized to allow each driver to race against as many different drivers within his level as possible during his two heats. All heats are randomized so no one level of drivers have to sit out for long periods whilst another level has its races. The track is live (when all lanes are activated a small green dot appears at the top left corner of the screen) to enable the cars to be lined up. Cars can circulate the track until SPACEBAR is pressed after which no practice laps are possible, as each lane will automatically switch off if drivers cross the start/finish line prior to race start. A small circle coloured to match the track lanes appears when a car has tried to sneak any extra practice laps. ALL lanes must be switched off prior to race start by pressing SPACEBAR a second time. (Pressing F2 allows the cars to have power again if needed.)

All cars are lined up behind the sensors.

To start race press SPACEBAR a third time. Track is live at the start (note green dot). The screen is cleared. Three large red lights will appear down the screen. The third light is on for between 0 and 4 seconds. When all red lights turn off the racing begins. Should a car jump the lights it will have its' track power switched off for half the minimum lap setting. Again a small circle coloured to match the offender’s lane indicates who has jumped the start.

Racing can be paused by pressing SPACEBAR at any time during the race. Press SPACEBAR to continue. Press ESC to restart the heat lining the cars up as before. If fitted the track call button can be used to start races in place of the SPACEBAR

At the start of a heat press ‘tab’ to skip current heat and move on to the next. ESC will return you to the first heat of the series.

Should a short lap be detected during the race all track power is cut and you are asked if you wish to keep the lap or not.

Note should a car start circulating under the minimum lap time press F1 when a short lap is recorded and you can change the minimum lap setting

At the end of race distance the track each lane will cut out as each car crosses the finish with the coloured circles appearing again at the bottom of the screen. If a car or cars fail to cross the finish line at the race end press SPACEBAR to complete the race and show results The track will automatically switch on after approximately 7 seconds to allow drivers to retrieve their cars. You are asked if the results are correct. Press ‘Y’ or SPACEBAR if the results are to stand or ‘N’ if a correction is required. If correction is needed just type in the corrected positions and the points will automatically be updated. The next heat will appear on the screen and line the cars up as before. All race results are stored in a text file called RACE.TXT which can be reviewed at a later date or printed out.

At the end of all heats you have the choice of using the same names again. All drivers and heats are randomized again and racing can continue as before. (Please note if heats are missed during racing the points total at the end will not accurately reflect the race results.)

Note : if you say no to more points racing all names are combined into one file ready for use in other parts of the programme. .


Timed Series

TIMED SERIES

This series is for races held over a fixed time (default is 2 minutes per heat). The starting sequence is as per the Points Series however all drivers race as one level as the aim is not to see who wins each heat but who can cover the most distance in the allotted time. Drivers can also have handicaps added to their total. Handicaps can be added to each or some drivers at the start of racing. This only has to be done once and represent the total handicap NOT a handicap per heat. The handicaps are added after all names are entered. If no handicaps are required just press ENTER to skip through the drivers. At the end of the set time (say 2 minutes) the programme stops recording laps and each car has its power cut as it crosses the start/finish line. The programme automatically calculates where on the track cars are when the time is up and adds that part lap to the car total for the heat. i.e. If a driver has completed 10 complete laps and is 1/3 round the next lap the computer will show 10.33 laps completed.

At the end of each heat you have a chance to add or subtract laps from a drivers score. This saves having to remember if a car missed the counter during a heat and also allows the programme to display the corrected scores. If a car has missed a lap just add one lap to its score. Likewise if a car has gained a lap just minus one lap from its score. If the score is correct just press enter. If you do nothing at the end of the heat the screen will automatically move to display the current totals along with the number of heats each driver has run.

Each drivers total laps are added to his running total and displayed sorted in order of distance traveled from most to least distance. The top 20 drivers totals (including any handicaps) are shown between each heat As with the Points Series all heat results and totals are stored in the RACE.TXT file.

At the end of all heats you can either return to the start and continue racing adding the next round of laps to each drivers score or start again with all drivers laps set to zero or return to MAIN MENU.


Fuel Race

FUEL RACE (FULL VERSION ONLY)

Actual screen shot

Two teams or drivers race over a set time per lane. Each team/driver gets equal time on each. The difference with this race series is that you must make a pit stop to refuel your car at approximately half distance in the heat.

Refueling is performed by stopping the car over the light sensor until your tank is shown as full. When a car stops over the sensor the lane power is cut for half the minimum lap time i.e. if the tracks minimum lap time is set at 8 seconds cars will have to remain in the pits for a minimum of 4 seconds. This stops cars trying to perform “spash & dash” stops. It should be noted that the quicker a car races the quicker it will use up it’s fuel tank. Economic driving can add a few laps between fuel stops. Each lane has a coloured bar under the drivers name indicating the fuel remaining for that lane.

If a car misses the sensor it cannot be pushed back as this will be recorded as a short lap and no fuel can be added until the car has completed another lap. If a car fails to stop for fuel befor running out power to that cars lane will be cut for a time equal to the minimum lap. I.e. 8 seconds for this example. Power will return and the car must stop next time round else the power will be cut again. Also it will take longer to refuel when the car eventually dues stop for fuel. At the end of the set time all power is cut and cars must move to it’s next lane as indicated on the screen. After the first heat all heat starts are ‘dead starts’. Fuel load and laps covered are carried across to the cars new lane.

The minimum period for the fuel tank to empty is 90 seconds and the maximum is 10 minutes irrespective of the length of race.


Quickrace

QUICKRACE 4

First screen is the Quickrace Menu. Four fixed race lengths are available. As with the MAIN MENU scroll up or down the list using the arrows keys and press enter or spacebar to select race length. No drivers names are required and no records are stored. Line cars up and start as per Driver Series

5 laps

10 laps

25 laps

50 laps

Line cars up and start as per Driver Series If a car or cars fail to cross the finish line at the race end press F1 to complete the race and show results


Crash and Burn

CRASH & BURN

This series is the same as the Points Series but with one important difference. ALL cars must complete race distance in order to qualify for points. No resloting of cars during racing. If a car falls out the slot it is out of the race. In addition all cars MUST complete race distance in order to score points. If the race length is 10 laps all cars must complete 10 laps to score any points. Should a car go too slow ( x 3 the minimum lap) it will have it’s lane power cut thereby stopping it from scoring any points. As per the points series all points are displayed at the end of racing.


Pit Stop Series

Pit Stop Racing

This series is similar to the Fuel race but with but with one important difference. It's not a teams race. Each driver is on his own. Each driver must stop each heat. The length of time spent stopped is dependant on how fast you have been going. If one car is much quicker than the others it will have to spend far longer in the pits. The whole idea is that cars and drivers of differing speeds can race full speed against each other and hopefully finish the race close together - well thats the theory anyway


Qualifying

QUALIFYING

Allows up to 20 drivers get a chance to race against the clock one at a time. Enter the drivers names then enter the number of laps. A drivers first lap is used as a warm up and lap timing begins at the start of the second lap. As each lap is completed a table of the left of the screen is updated with the current drivers name displayed in green. At the end of racing the average lap time for the whole field is shown at the bottom of the table.


Single Car

SINGLE CAR

This programme allows for one car at a time on a given lane to race. It's ideal for testing or when driver numbers are short. Based on the Timed series each car just runs once. All laps are totalled at the end and dispelayed as per the Timed series


Index series

INDEX RACING (FULL VERSION ONLY)

This style of racing requires drivers to race over two heats but they must not go faster than the INDEX time. Example, if you set the index time to 10 seconds you must not lap FASTER than 10 seconds. If you do the power to your lane only is cut for half the INDEX time i.e 5 sec. If you lap under half the index time (5 sec in this example) either through driving very very fast or a car desloting across your lane on the start/finish, no laps are recorded. Basically the faster drivers have to slow down to stop bettering the index time. Should a car lap quicker than half the index time.

You can use the average lap time recorded from the whole field after Qualifying as your INDEX time. Any car/driver going faster will have his track power cut. This enables slower drivers to keep circulating. This produces close racing (if somewhat frustrating knowing if you go too fast you will loose power)

Note: the index time will not effect the minimum lap setup for your track.


Track Hire (if supplied)

If supplied the Hire programme allows for two type of track hire.

Individual lane hire

Each lane can be hired out for a set time. The default length is 15 minutes. Press F1 once to hire out lane one for 15 minutes.

Press F1 again to hire out for 30 minutes. Press again for 45 minutes and again for 60 minutes. Press once more to cancel.

Lane two is activated by press F2. F3 operates lane 3 etc. At the end of hiring just press F8 to return to the main menu

Race Hire (if required)

You can rent the whole track out for fixed lengths of time for short races. This system is ideal for mobile tracks.

The rental period can be 2 minutes, 2 1/2 minutes and up to 5 minutes.The hire race starts as a dead start and at the end of the race all

cars end up at the start/finish.

The race menu is made up of GP track names so there will be no questions asked about the length of time the track is hired for

so if business is good you can drop the track time and if it is slow you can increase track time without displaying the actual length

If left unused for 3 minutes a screen saver starts showing your track name and contact details.

As with all programmes press F8 (F9 for 6 and 8 lane programmes) to return to the Main Menu


Archiving race results

Exiting STARTLINE

ARCHIVING RACE RESULTS

A recent addition to the programme is the RACE RESULTS ARCHIVE

This allows the RACE.TXT file to be date stamped and archived for later review. It also means the RACE.TXT file does not become too big for the programme to quickly open, update and close. SHould the RACE.TXT file become too big it may cause misscounts and other errors especially on older PCs as the programme tries to load the text file whilst also trying to read and write during a race.

When exiting you are given two choices.

You can either archive results which will rename the days racing results RACE(day_month_year_hour_minute).TXT which is the recommended action or you can just continue on and exit. As the file name is changed to one of more than 8 digits ( it has to have more than 8 in order to ensure it gets unique time stamp) the file name will not be correctly displayed in DOS however this is not a problem under WINDOWs.

The next time you race the programme will generate a new RACE.TXT file.

Should you choose not to archive the days results any new racing will be added to the RACE.TXT file. SHould this file become bigger than 70k slower PCs may not be ability to read and write to it quick enough.


Utilities

Utilies is where you perform track customisation, file clean ups and view race records


Track set up

    1. TRACK SETUP

This is where you can customize the programme to suit your tracks needs. Any numbers typed in higher than 15 will appear as white

Lane Colour Options
0 = black | 4 = red | 8 = grey | 12 = light red
1 = blue | 5 = magenta | 9 = light blue | 13 = light magenta
2 = green | 6 = brown | 10 = light green | 14 = yellow
3 = cyan | 7 = white | 11 = light cyan | 15 = bright white

Start system (FULL VERSION ONLY)

There are two types of starting system available

Live start

The track is live at the start of a race. Should a car jump the start it will have its power cut for a period equal to half the minimum lap time

Dead start

Using the dead start system the track power is off at the start of a race. All lane switch on automatically when the start lights go off.

In the LITE version should a car jump the start it will be given a one lap penalty

Minimum lap

Use this to set minimum lap for your track. Any lap times less than the minimum will not be recorded. This prevents miss counts caused by cars deslotting over the lap counters. Should a short lap occur the track will automatically have it power cut and you will be asked if you want to keep the lap or not. For example if your quickest lap time is 8 seconds then the minimum lap time should be set to 6 seconds. Any lap quicker than 6 seconds will cause the heat to pause. As a guide you should set the minimum lap to be approximately 75% of the fastest lap you feel is possible.


Minimum Lap

Minimum lap

Use this to set minimum lap for your track. Any lap times less than the minimum will not be recorded. This prevents miss counts caused by cars deslotting over the lap counters. Should a short lap occur the track will automatically have it power cut and you will be asked if you want to keep the lap or not. For example if your quickest lap time is 8 seconds then the minimum lap time should be set to 6 seconds. Any lap quicker than 6 seconds will cause the heat to pause. As a guide you should set the minimum lap to be approximately 75% of the fastest lap you feel is possible.


Results

RESULTS

All race results are stored in text file which can be displayed after racing. The file called “RACE.TXT” can be printed off using any external programme (WORD etc)

COPY RESULTS TO DISK

This enables you to copy the RACE.TXT file (where all race results are stored) to a floppy diskette in A drive for printing at a later date.

DELETE RECORDS

As all race results are automatically stored in the RACE.TXT file it is advisable to purge this file to stop it getting to big. Also you don’t want to have to scroll through pages and pages of past results to get to the latest races

HELP

As it says this section contains all the information about using the race program. The new upgraded help has a searchable facility to make it easier to move through what is now a much bigger help file. You can either use a mouse to move through the help file by just clicking the subject or you can use the keyboard to TAB through the items. To exit help just press X to return to the race programe


Copy results

All race results are stored in text file which can be displayed after racing. The file called “RACE.TXT” can be printed off using any external programme (WORD etc)

COPY RESULTS TO DISK

This enables you to copy the RACE.TXT file (where all race results are stored) to a floppy diskette in A drive or memory stick in a range of drives for printing at a later date.

DELETE RECORDS

As all race results are automatically stored in the RACE.TXT file it is advisable to purge this file to stop it getting to big. Also you don’t want to have to scroll through pages and pages of past results to get to the latest races

HELP

As it says this section contains all the information about using the race program. The new upgraded help has a searchable facility to make it easier to move through what is now a much bigger help file. You can either use a mouse to move through the help file by just clicking the subject or you can use the keyboard to TAB through the items. To exit help just press X to return to the race programe


Delete results

All race results are stored in text file which can be displayed after racing. The file called “RACE.TXT” can be printed off using any external programme (WORD etc)

COPY RESULTS TO DISK

This enables you to copy the RACE.TXT file (where all race results are stored) to a floppy diskette in A drive for printing at a later date.

DELETE RECORDS

As all race results are automatically stored in the RACE.TXT file it is advisable to purge this file to stop it getting to big. Also you don’t want to have to scroll through pages and pages of past results to get to the latest races

HELP

As it says this section contains all the information about using the race program. The new upgraded help has a searchable facility to make it easier to move through what is now a much bigger help file. You can either use a mouse to move through the help file by just clicking the subject or you can use the keyboard to TAB through the items. To exit help just press X to return to the race programe


Using help

USING HELP

As it says this section contains all the information about using the race program. The new upgraded help has a searchable facility to make it easier to move through what is now a much bigger help file. You can either use a mouse to move through the help file by just clicking the subject or you can use the keyboard to TAB through the items. To exit help just press X to return to the race programe


Problems and issues

Problems and Issues

Every care has been taken to eliminate any know faults. However some issues may arise. Use the test programme supplied to check for parallel port addresses, sensor reading and track power control.

Counting laps when no car is on the track

Light sensors

Check the light sensors are plugged into the computers parallel port LPT1/LPT2. Check to ensure sensors are not dirty or obscured light sensor

Parallel port address

Ensure Parallel port address is H378 (standard LPT1 address) and H278 and that it is fully functional. Some older parallel ports may register false counts due to pull-up resisters on the port being faulty. These ports should be replaced

Light source

Ensure light source is directly overhead of the track sensors. Ensure light source is bright enough


Miscounts

Copyright © <2008>, <Ashlyn Gem Pty Ltd>


Counts when no car is on the track

Counting laps when no car is on the track

Light sensors

Check the light sensors are plugged into the computers parallel port LPT1/LPT2. Check to ensure sensors are not dirty or obscured light sensor

Parallel port address

Ensure Parallel port address is H378 (standard LPT1 address) and H278 and that it is fully functional. Some older parallel ports may register false counts due to pull-up resisters on the port being faulty. These ports should be replaced

Light source

Ensure light source is directly overhead of the track sensors. Ensure light source is bright enough


No counts

Light sensors

Check the light sensors are plugged into the computers parallel port LPT1/LPT2. Check to ensure sensors are not dirty or obscured light sensor

Parallel port address

Ensure Parallel port address is H378 (standard LPT1 address) and H278 and that it is fully functional. Some older parallel ports may register false counts due to pull-up resisters on the port being faulty. These ports should be replaced

Light source

Ensure light source is directly overhead of the track sensors. Ensure light source is bright enough


Driver list not edited

Driver list not edited

This may happen if the programme was not shutdown correctly (ie due to power failure computer glitch etc). The programme will remember all the racers from the last series completed. To correct enter the names of those who are to race and ‘tab’ through the heats to the end. The next time you race it will have the corrected driver list. Should this fail you may have to remove all *.txt files from the C:\SRS_DOS\RACE\ directory.

Abnormal Programme Termination

If the programme terminates at the end of Timed or Points series racing instead of returning to MAIN MENU it may be the result of the programme not being shut down correctly. This results is the programme trying to perform actions of files which either no longer exist or have been changed. Correction is to remove all *.txt files from the C:\SRS_DOS\RACE\ directory. This can be done by using the DELETE RECORDS button


Light sensors

Light sensors

Check the light sensors are plugged into the computers parallel port LPT1/LPT2. Check to ensure sensors are not dirty or obscured light sensor


Abnormal programme termination

Abnormal Programme Termination

If the programme terminates at the end of Timed or Points series racing instead of returning to MAIN MENU it may be the result of the programme not being shut down correctly. This results is the programme trying to perform actions of files which either no longer exist or have been changed. Correction is to remove all *.txt files from the C:\SRS_DOS\RACE\ directory. This can be done by using the DELETE RECORDS button


Things to Remember

THINGS TO REMEMBER

F8

F8 will always return you to a menu screen

SPACEBAR

will cut track power and paused a race - SPACEBAR continues the race

This software was supplied in good faith. No responsibility will be taken for possible problems caused to PC's

Steve Stewart, July 2003

WARNING

Many hours have gone into producing this program so please respect the author’s copyright.

Copyright law protects STARTLINE RACE SYSTEM computer program. Unauthorised reproduction or distribution of this program, or any portion of this program, may result in civil and criminal action against offenders.


F8

Copyright © <2008>, <Ashlyn Gem Pty Ltd>


Spacebar

Copyright © <2008>, <Ashlyn Gem Pty Ltd>